package cn.com.infosec.crypto.paddings;

import cn.com.infosec.crypto.InvalidCipherTextException;
import java.security.SecureRandom;

public class PKCS7Padding implements BlockCipherPadding {
   public void init(SecureRandom random) {
   }

   public String getPaddingName() {
      return "PKCS7";
   }

   public int addPadding(byte[] in, int inOff) {
      byte var3;
      for(var3 = (byte)(in.length - inOff); inOff < in.length; ++inOff) {
         in[inOff] = var3;
      }

      return var3;
   }

   public int padCount(byte[] in) {
      int var3;
      if ((var3 = in[in.length - 1] & 255) > in.length) {
         throw new InvalidCipherTextException("pad block corrupted");
      } else {
         for(int var2 = 1; var2 <= var3; ++var2) {
            if (in[in.length - var2] != var3) {
               throw new InvalidCipherTextException("pad block corrupted");
            }
         }

         return var3;
      }
   }
}
